Get deposit status
curl --request GET \
--url https://b2b-api-sandbox.easyonramp.com/api/v1/business/treasury/deposits/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://b2b-api-sandbox.easyonramp.com/api/v1/business/treasury/deposits/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://b2b-api-sandbox.easyonramp.com/api/v1/business/treasury/deposits/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://b2b-api-sandbox.easyonramp.com/api/v1/business/treasury/deposits/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "550e8400-e29b-41d4-a716-446655440003",
"amount": 100000,
"currency": "ZAR",
"reference": "EZ9F2T7Q3MHB",
"status": "waiting_pop",
"fundEasyCard": false,
"proofUrl": "https://b2b-api.easyonramp.com/api/v1/business/treasury/deposits/550e8400-e29b-41d4-a716-446655440003/proof",
"bankName": "First National Bank",
"accountNumber": "6281234567890"
}Treasury
Get deposit status
Check the status of a fiat deposit request: pending, approved, declined, or expired. Poll this endpoint or subscribe to deposit webhooks to know when treasury is credited. See Rate limits if polling.
GET
/
api
/
v1
/
business
/
treasury
/
deposits
/
{id}
Get deposit status
curl --request GET \
--url https://b2b-api-sandbox.easyonramp.com/api/v1/business/treasury/deposits/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://b2b-api-sandbox.easyonramp.com/api/v1/business/treasury/deposits/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://b2b-api-sandbox.easyonramp.com/api/v1/business/treasury/deposits/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://b2b-api-sandbox.easyonramp.com/api/v1/business/treasury/deposits/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "550e8400-e29b-41d4-a716-446655440003",
"amount": 100000,
"currency": "ZAR",
"reference": "EZ9F2T7Q3MHB",
"status": "waiting_pop",
"fundEasyCard": false,
"proofUrl": "https://b2b-api.easyonramp.com/api/v1/business/treasury/deposits/550e8400-e29b-41d4-a716-446655440003/proof",
"bankName": "First National Bank",
"accountNumber": "6281234567890"
}Authorizations
Bearer JWT issued to your business account during onboarding
Path Parameters
Response
200 - application/json
Example:
"550e8400-e29b-41d4-a716-446655440003"
Amount in cents
Example:
100000
Deposit currency
Example:
"ZAR"
Example:
"EZ9F2T7Q3MHB"
Available options:
waiting_pop, pending, approved, declined, expired Example:
"waiting_pop"
True when this deposit was created with Fund my EasyCard intent
Example:
false
Public proof of payment download URL when submitted
Example:
"https://b2b-api.easyonramp.com/api/v1/business/treasury/deposits/550e8400-e29b-41d4-a716-446655440003/proof"
Example:
"First National Bank"
Example:
"6281234567890"